Page MenuHomePhabricator

Click goes through some windows border if virtual desktop's flip animation set to diagonal
Open, Pending on user inputPublic

Description

efl 1.18.2
enlightenment 0.21.3
OS: io GNU/Linux, based on Debian sid

Reproducible bug:

  • Start with a new profile
  • Virtual desktop settings > Flip animation: Set Diagonal instead of Pane
  • Open programs, change desktops
  • Click goes trough border of some windows
mrkebab created this task.Nov 14 2016, 4:43 AM
ProhtMeyhet renamed this task from Cick goes through some windows border if virtual desktop's flip animation set to diagonal to Click goes through some windows border if virtual desktop's flip animation set to diagonal.Nov 14 2016, 8:09 AM

what you mean is: if you click the window border or title the window behind (the one you don't see) is selected/focused?

Hi, not really

here you have a screencast

at 0:10, I switch to a virtual desktop that contains 2 terminology windows, one can be moved by clicking on the border (as a normal window one), the other terminology window have a border but click goes through, and then display the default menu

ProhtMeyhet triaged this task as Pending on user input priority.Nov 14 2016, 9:01 AM

yes, that is exactly what i've been seeing sometimes, but i couldn't get a reproduceable case.

can you please post all your settings from Settings -> Windows ->Window Focus?

mrkebab added a comment.EditedNov 14 2016, 10:06 AM

I've tried all settings under Settings -> Windows ->Window Focus with no effects.

The reproduceable case on my computer is done like this:

  1. Logout
  2. Switch to tty1
  3. rm -rf ~/.e ; rm -rf ~/.elementary ; rm -rf ~/.cache/efreet* ; rm -rf ~/.cache/evas* ; rm -rf ~/.config/terminology
  4. Switch back to tty7, login Enlightenment, follow wizard...
  5. Open few terminology windows
  6. Change Virtual desktop settings > Flip animation: set to Diagonal
  7. Bug appear
  8. Change Virtual desktop settings > Flip animation: set to everything except Diagonal
  9. Bug disappear

(if you really want I can give you windows focus settings, but it's e's default once the 1st run wizard done)

Thanks

ProhtMeyhet raised the priority of this task from Pending on user input to Normal.Nov 14 2016, 10:29 AM

one last thing: can you try if it makes a differece with Software rendering or OpenGL rendering, eg the opposite of what you are using now?

Settings -> Looks -> Rendering -> Engine -> Software or OpenGL

Hi :)

No difference with Software or OpenGL rendering.

Anybody to try setting desktop flip animation to Diagonal to confirm the bug?

zmike added a comment.Nov 18 2016, 8:19 AM

I've tested this for a bit today and am unable to reproduce :/

Hello,

Well for now I don't use Diagonal flip and it's ok for me.. I will check in future e release and let you know if the bug still occur.

PS: Thanks Mike for your stuff, I really like desksanity :)

This bug still exists for me, even with desktop flip animation set to "pane". @zmike what kind of information do you else need to reproduce that bug?

I have tested the same, without success ...

zmike added a comment.Apr 21 2017, 7:08 AM

If you're using the latest version from git, can you try screen recording while running with E_SHAPE_DEBUG=1 in your environment and then triggering the bug? It will make your desktop a bit hard to use, but this may give me some idea. Also I would need the log file which accompanies the screencap...

zmike added a comment.Apr 21 2017, 8:58 AM

Ah, you'll also need EINA_LOG_LEVELS=e:4

zmike lowered the priority of this task from Normal to Pending on user input.Jun 15 2017, 8:29 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:59 AM
zmike edited projects, added efl: display system; removed Restricted Project.Jun 11 2018, 7:20 AM